#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()
RandomGenerator().SetSeed(0)

try :
    distribution = FisherSnedecor(4.5, 8.4)
    size = 10000
    sample = distribution.getSample(size)
    factory = FisherSnedecorFactory()
    estimatedDistribution = factory.build(sample)
    print "distribution=", repr(distribution)
    print "Estimated distribution=", repr(estimatedDistribution)

except :
    import sys
    print "t_FisherSnedecorFactory.py", sys.exc_type, sys.exc_value
